اکاؤنٹ کی ادائیگیاں
GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| پیرا میٹرز | تفصیلات | تفصیل |
|---|---|---|
| processor | اختیاری سٹرنگ | اجازت شدہ قیمتیں: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | اختیاری سٹرنگ | اجازت شدہ قیمتیں: paid, pending, cancelled, refunded |
| type | اختیاری سٹرنگ | اجازت شدہ قیمتیں: one_time, recurring |
| frequency | اختیاری سٹرنگ | اجازت شدہ قیمتیں: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | اختیاری سٹرنگ | اجازت شدہ قیمتیں: datetime |
| datetime_start | اختیاری سٹرنگ | نتائج کو اس تاریخ اور وقت سے فلٹر کریں۔ فارمیٹ Y-m-d H:i:s۔ |
| datetime_end | اختیاری سٹرنگ | نتائج کو اس تاریخ اور وقت تک فلٹر کریں۔ فارمیٹ Y-m-d H:i:s۔ |
| order_by | اختیاری سٹرنگ | نتائج کو کس میدان کے لحاظ سے ترتیب دیا جائے۔ اجازت یافتہ قیمتیں ہیں: id, datetime, total_amount. |
| order_type | اختیاری سٹرنگ | نتائج کی ترتیب۔ اجازت یافتہ قیمتیں ہیں: ASC بڑھتی ہوئی ترتیب کے لیے، اور DESC گھٹتی ہوئی ترتیب کے لیے۔ |
| page | اختیاری عدد صحیح | وہ صفحہ نمبر جس سے آپ نتائج چاہتے ہیں۔ ڈیفالٹ 1 ہے۔ |
| results_per_page | اختیاری عدد صحیح | آپ ہر صفحے پر کتنے نتائج چاہتے ہیں۔ اجازت شدہ قیمتیں ہیں: 10, 25, 50, 100, 250, 500, 1000۔ ڈیفالٹ 25 ہے۔ |
{
"data": [
{
"id": 1,
"user_id": 1,
"plan_id": 1,
"payment_id": "pi_123456789",
"base_amount": 4.99,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"code": null,
"discount_amount": 0,
"email": "[email protected]",
"name": null,
"total_amount": 4.99,
"total_amount_default_currency": 4.99,
"currency": "USD",
"status": "paid",
"plan": null,
"billing": null,
"business": null,
"taxes_ids": null,
"payment_proof": null,
"payment_proof_url": null,
"refunds": [],
"refunded_total": 0,
"refunded_status": null,
"datetime": "2026-10-16 15:13:24"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tistos.com/api/payments?page=1",
"last": "https://tistos.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/payments?page=1"
}
}
GET https://tistos.com/api/payments/{id}
curl --request GET \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"plan_id": 1,
"payment_id": "pi_123456789",
"base_amount": 4.99,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"code": null,
"discount_amount": 0,
"email": "[email protected]",
"name": null,
"total_amount": 4.99,
"total_amount_default_currency": 4.99,
"currency": "USD",
"status": "paid",
"plan": null,
"billing": null,
"business": null,
"taxes_ids": null,
"payment_proof": null,
"payment_proof_url": null,
"refunds": [],
"refunded_total": 0,
"refunded_status": null,
"datetime": "2026-10-16 15:13:24"
}
}